Index: /pykota/trunk/man/edpykota.1
===================================================================
--- /pykota/trunk/man/edpykota.1 (revision 837)
+++ /pykota/trunk/man/edpykota.1 (revision 837)
@@ -0,0 +1,102 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.29.
+.TH EDPYKOTA "1" "March 2003" "edpykota 0.99-unofficial" "PyKota Print Quota System"
+.SH NAME
+edpykota \- manual page for edpykota 0.99-unofficial
+.SH DESCRIPTION
+edpykota v0.99-unofficial (C) 2003 C@LL - Conseil Internet & Logiciels Libres
+A Print Quota editor for PyKota.
+.PP
+command line usage :
+.IP
+edpykota [options] user1 user2 ... userN
+edpykota [options] group1 group2 ... groupN
+.PP
+options :
+.TP
+\fB\-v\fR | \fB\-\-version\fR
+Prints edpykota's version number then exits.
+.TP
+\fB\-h\fR | \fB\-\-help\fR
+Prints this message then exits.
+.TP
+\fB\-a\fR | \fB\-\-add\fR
+Adds users and/or printers if they don't
+exist on the Quota Storage Server.
+.TP
+\fB\-u\fR | \fB\-\-users\fR
+Edit users print quotas, this is the default.
+.TP
+\fB\-P\fR | \fB\-\-printer\fR p
+Edit quotas on printer p only. Actually p can
+use wildcards characters to select only
+some printers. The default value is *, meaning
+all printers.
+.TP
+\fB\-g\fR | \fB\-\-groups\fR
+Edit groups print quotas instead of users.
+.TP
+\fB\-p\fR | \fB\-\-prototype\fR u|g Uses user u or group g as a prototype to set
+print quotas
+.TP
+\fB\-r\fR | \fB\-\-reset\fR
+Resets the printed page counter for the user
+or group to zero. The life time page counter
+is kept unchanged.
+.TP
+\fB\-S\fR | \fB\-\-softlimit\fR sl
+Sets the quota soft limit to sl pages.
+.TP
+\fB\-H\fR | \fB\-\-hardlimit\fR hl
+Sets the quota hard limit to hl pages.
+.IP
+user1 through userN and group1 through groupN can use wildcards
+if the \fB\-\-add\fR option is not set.
+.PP
+examples :
+.IP
+\f(CW$ edpykota -p jerome john paul george ringo\fR
+.IP
+This will set print quotas for the users john, paul, george and ringo
+to the same values than user jerome. User jerome must exist.
+.IP
+\f(CW$ edpykota --printer lp -S 50 -H 60 jerome\fR
+.IP
+This will set jerome's print quota on the lp printer to a soft limit
+of 50 pages, and a hard limit of 60 pages. If either user jerome or
+printer lp doesn't exist on the Quota Storage Server then nothing is done.
+.IP
+\f(CW$ edpykota --add --printer lp -S 50 -H 60 jerome\fR
+.IP
+Same as above, but if either user jerome or printer lp doesn't exist
+on the Quota Storage Server they are automatically added.
+WARNING : the CUPS PPD file for this printer must still be modified
+.IP
+manually, as well as pykota's configuration file for a
+new printer to be managed successfully.
+.IP
+\f(CW$ edpykota -g -S 500 -H 550 financial support\fR
+.IP
+This will set print quota soft limit to 500 pages and hard limit
+to 550 pages for groups financial and support on all printers.
+.IP
+\f(CW$ edpykota --reset jerome "jo*"\fR
+.IP
+This will reset jerome's page counter to zero on all printers, as
+well as every user whose name begins with 'jo'.
+Their life time page counter on each printer will be kept unchanged.
+.PP
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
+.PP
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+.PP
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
+.PP
+Please e-mail bugs to: Jerome Alet - alet@librelogiciel.com
Index: /pykota/trunk/man/repykota.1
===================================================================
--- /pykota/trunk/man/repykota.1 (revision 837)
+++ /pykota/trunk/man/repykota.1 (revision 837)
@@ -0,0 +1,59 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.29.
+.TH REPYKOTA "1" "March 2003" "repykota 0.99-unofficial" "PyKota Print Quota System"
+.SH NAME
+repykota \- manual page for repykota 0.99-unofficial
+.SH DESCRIPTION
+repykota v0.99-unofficial (C) 2003 C@LL - Conseil Internet & Logiciels Libres
+.PP
+Generates print quota reports.
+.PP
+command line usage :
+.IP
+repykota [options]
+.PP
+options :
+.TP
+\fB\-v\fR | \fB\-\-version\fR
+Prints repykota's version number then exits.
+.TP
+\fB\-h\fR | \fB\-\-help\fR
+Prints this message then exits.
+.TP
+\fB\-u\fR | \fB\-\-users\fR
+Generates a report on users quota, this is
+the default.
+.TP
+\fB\-g\fR | \fB\-\-groups\fR
+Generates a report on group quota instead of users.
+.TP
+\fB\-P\fR | \fB\-\-printer\fR p
+Report quotas on this printer only. Actually p can
+use wildcards characters to select only
+some printers. The default value is *, meaning
+all printers.
+.PP
+examples :
+.IP
+\f(CW$ repykota --printer lp\fR
+.IP
+This will print the quota status for all users who use the lp printer.
+.IP
+\f(CW$ repykota\fR
+.IP
+This will print the quota status for all users on all printers.
+.PP
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
+.PP
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+.PP
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
+.PP
+Please e-mail bugs to: Jerome Alet - alet@librelogiciel.com
Index: /pykota/trunk/man/warnpykota.1
===================================================================
--- /pykota/trunk/man/warnpykota.1 (revision 837)
+++ /pykota/trunk/man/warnpykota.1 (revision 837)
@@ -0,0 +1,68 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.29.
+.TH WARNPYKOTA "1" "March 2003" "warnpykota 0.99-unofficial" "PyKota Print Quota System"
+.SH NAME
+warnpykota \- manual page for warnpykota 0.99-unofficial
+.SH DESCRIPTION
+warnpykota v0.99-unofficial (C) 2003 C@LL - Conseil Internet & Logiciels Libres
+.PP
+Sends mail to users over print quota.
+.PP
+command line usage :
+.IP
+warnpykota [options]
+.PP
+options :
+.TP
+\fB\-v\fR | \fB\-\-version\fR
+Prints warnpykota's version number then exits.
+.TP
+\fB\-h\fR | \fB\-\-help\fR
+Prints this message then exits.
+.TP
+\fB\-u\fR | \fB\-\-users\fR
+Send mail to users over print quota, this is
+the default.
+.TP
+\fB\-g\fR | \fB\-\-groups\fR
+Send mail to group administrators instead of users.
+.TP
+\fB\-P\fR | \fB\-\-printer\fR p
+Verify quotas on this printer only. Actually p can
+use wildcards characters to select only
+some printers. The default value is *, meaning
+all printers.
+.PP
+examples :
+.IP
+\f(CW$ warnpykota --printer lp\fR
+.IP
+This will warn all users of the lp printer who have exceeded their
+print quota.
+.IP
+\f(CW$ warnpykota\fR
+.TP
+This will warn all users
+who have exceeded their print quota on
+.IP
+any printer.
+.IP
+\f(CW$ warnpykota --groups --printer "laserjet*"\fR
+.IP
+This will warn all group administrators of groups which have exceeded
+their print quota on any printer which name begins with "laserjet"
+.PP
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
+.PP
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+.PP
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
+.PP
+Please e-mail bugs to: Jerome Alet - alet@librelogiciel.com