Index: pykota/trunk/untested/netatalk/pagecount.ps
===================================================================
--- pykota/trunk/untested/netatalk/pagecount.ps (revision 840)
+++ pykota/trunk/untested/netatalk/pagecount.ps (revision 840)
@@ -0,0 +1,2 @@
+%! PS-Adobe-2.0
+statusdict begin pagecount == end flush
Index: pykota/trunk/untested/netatalk/netatalk.sh
===================================================================
--- pykota/trunk/untested/netatalk/netatalk.sh (revision 840)
+++ pykota/trunk/untested/netatalk/netatalk.sh (revision 840)
@@ -0,0 +1,9 @@
+#! /bin/sh
+#
+# $Id$
+#
+# The following was found on usenet, as far as I'm concerned
+# this is completely untested.
+# 
+pap p <printer's nbpname> pagecount.ps
+
Index: pykota/trunk/untested/parallel/parallel.sh
===================================================================
--- pykota/trunk/untested/parallel/parallel.sh (revision 840)
+++ pykota/trunk/untested/parallel/parallel.sh (revision 840)
@@ -0,0 +1,46 @@
+#! /bin/sh
+
+# This script was generously contributed by Jem E. Berkes.
+# It can't work as-is with PyKota, you first have to adapt it
+# and this may require some work on your part.
+
+# It is aimed at printers which support the PJL language, which
+# are plugged through a bidirectionnal parallel port.
+
+# Read what Jem has to say about it :
+
+# It seems that network sockets or some other control specific method is the 
+# best way to query the printers. What I have is a bit (well, more than just 
+# a bit) of a brute forced solution. However, it has been working for us for 
+# about a month and only needs a bidirectional /dev/lp0
+
+# I'm not at all happy about the sleep's I have in there. On occasion, there 
+# are missing page counts in the log but since the * next * user to print 
+# gets a good pagecount, the parser (a separate program) finds the 
+# responsibility.
+# 
+# If you find a way to improve what I have, please let me know. Note that 
+# when this is invoked from printcap, it's expecting that the data coming it 
+# at stdin is a pre-formatted print job (the Windows machines do that 
+# anyway).
+
+# Copyright (C) 2003 Jem E. Berkes
+# jb2003@pc9.org
+# This script queries the HP LaserJet 1200 for pagecount, then prints a
+# pre-formatted job
+# Log format: DATE\tUSERNAME\tPRECOUNT
+
+PRINTDEV=/dev/lp0
+LOGFILE=$SPOOL_DIR/pagelog
+
+echo -e "\33%-12345X@PJL\n@PJL INFO VARIABLES\n\33%-12345X" > $PRINTDEV
+sleep 1
+cat $PRINTDEV > /dev/null
+echo -e "\33%-12345X@PJL\n@PJL INFO PAGECOUNT\n\33%-12345X" > $PRINTDEV
+sleep 1
+PAGECOUNT=`cat $PRINTDEV | grep "^[0-9]"`
+USERID=`echo $1 | cut -b 3- | sed "s/@.*//"`
+echo -e "`date \"+%Y-%m-%d %H:%M:%S\"`\t$USERID\t$PAGECOUNT" >> $LOGFILE
+cat > $PRINTDEV
+
+
Index: pykota/trunk/untested/README
===================================================================
--- pykota/trunk/untested/README (revision 840)
+++ pykota/trunk/untested/README (revision 840)
@@ -0,0 +1,25 @@
+# $Id$
+
+PyKota - Print Quota for CUPS
+
+(c) 2003 Jerome Alet <alet@librelogiciel.com>
+You're welcome to redistribute this software under the
+terms of the GNU General Public Licence version 2.0
+or, at your option, any higher version.
+
+You can read the complete GNU GPL in the file COPYING
+which should come along with this software, or visit
+the Free Software Foundation's WEB site http://www.fsf.org
+
+====================================================================
+
+This directory contains scripts which may be used to query printers 
+for their life time page counter, so you could define them as
+external requesters in PyKota configuration file.
+
+They are completely untested, and you certainely have to edit them to
+make them work as part of PyKota.
+
+Any success or failure report is more than welcome.
+
+====================================================================
Index: pykota/trunk/README
===================================================================
--- pykota/trunk/README (revision 809)
+++ pykota/trunk/README (revision 840)
@@ -51,5 +51,7 @@
           you own querying command, e.g. to query a printer via
           the serial port, sending it a special PJL job and 
-          reading the result.
+          reading the result. See the example scripts in the
+          "untested" directory and try to adapt them to your
+          configuration.
         
         - Special scripts included for a seamless integration of