Index: /pykota/trunk/docs/README
===================================================================
--- /pykota/trunk/docs/README (revision 841)
+++ /pykota/trunk/docs/README (revision 841)
@@ -0,0 +1,27 @@
+# $Id$
+
+PyKota - Print Quota for CUPS
+
+(c) 2003 Jerome Alet <alet@librelogiciel.com>
+You're welcome to redistribute this software under the
+terms of the GNU General Public Licence version 2.0
+or, at your option, any higher version.
+
+You can read the complete GNU GPL in the file COPYING
+which should come along with this software, or visit
+the Free Software Foundation's WEB site http://www.fsf.org
+
+====================================================================
+
+This directory contains PyKota documentation in DocBook format.
+
+Unless you've purchased an official PyKota package, you're on your 
+own to compile the DocBook source files to output formats like HTML 
+or PDF. 
+
+WARNING : PyKota documentation is currently at an early stage so 
+purchased PyKota packages don't actually contain output formats, but 
+purchasers will be sent the documentation in HTML, PS, and PDF as 
+soon as it is finished. 
+
+====================================================================
Index: /pykota/trunk/cgi-bin/README
===================================================================
--- /pykota/trunk/cgi-bin/README (revision 841)
+++ /pykota/trunk/cgi-bin/README (revision 841)
@@ -0,0 +1,25 @@
+# $Id$
+
+PyKota - Print Quota for CUPS
+
+(c) 2003 Jerome Alet <alet@librelogiciel.com>
+You're welcome to redistribute this software under the
+terms of the GNU General Public Licence version 2.0
+or, at your option, any higher version.
+
+You can read the complete GNU GPL in the file COPYING
+which should come along with this software, or visit
+the Free Software Foundation's WEB site http://www.fsf.org
+
+====================================================================
+
+This directory contains CGI scripts which you may find useful to
+put on a web server along with PyKota command line tools.
+
+Be sure to restrict access to these CGI scripts as necessary.
+
+The web server doesn't need to be a print server nor a PyKota 
+Storage Backend server, but it must contain a correctly configured 
+PyKota installation. 
+
+====================================================================
Index: /pykota/trunk/man/README
===================================================================
--- /pykota/trunk/man/README (revision 839)
+++ /pykota/trunk/man/README (revision 841)
@@ -17,2 +17,3 @@
 manual page that you can install on our system.
 
+====================================================================
Index: /pykota/trunk/MANIFEST.in
===================================================================
--- /pykota/trunk/MANIFEST.in (revision 838)
+++ /pykota/trunk/MANIFEST.in (revision 841)
@@ -1,8 +1,9 @@
 include COPYING TODO NEWS CREDITS MANIFEST.in bin/pykota bin/edpykota bin/warnpykota bin/repykota
-recursive-include po *.po *.mo *.pot
-recursive-include man *.1
-recursive-include docs *.sgml *.png
-recursive-include cgi-bin *.cgi
+recursive-include po README *.po *.mo *.pot
+recursive-include man README *.1
+recursive-include docs README *.sgml *.png
+recursive-include cgi-bin README *.cgi
 recursive-include conf README *.sample
 recursive-include initscripts README README.* pykota-*.sql
 recursive-include debian README printquota
+recursive-include untested README *.sh *.ps
Index: /pykota/trunk/po/README
===================================================================
--- /pykota/trunk/po/README (revision 841)
+++ /pykota/trunk/po/README (revision 841)
@@ -0,0 +1,21 @@
+# $Id$
+
+PyKota - Print Quota for CUPS
+
+(c) 2003 Jerome Alet <alet@librelogiciel.com>
+You're welcome to redistribute this software under the
+terms of the GNU General Public Licence version 2.0
+or, at your option, any higher version.
+
+You can read the complete GNU GPL in the file COPYING
+which should come along with this software, or visit
+the Free Software Foundation's WEB site http://www.fsf.org
+
+====================================================================
+
+This directory contains the different translations available
+for PyKota tools.
+
+Please send me your own translations in other languages.
+
+====================================================================