Index: pykota/trunk/LICENSE
===================================================================
--- pykota/trunk/LICENSE (revision 831)
+++ pykota/trunk/LICENSE (revision 850)
@@ -18,33 +18,34 @@
   * You can access to PyKota's source code by using CVS from :
   
-        http://savannah.nongnu.org/projects/pykota/
-        
+      http://savannah.nongnu.org/projects/pykota/
+
     Follow the "CVS Repository" link then follow the instructions in
-    the section labeled "Getting a Copy of the CVS Repository".
+    the section labeled "Getting a Copy of the CVS Repository". 
 
   * The CVS version will always be labelled as **unofficial** and the 
     word **unofficial** will appear whenever you run PyKota command line 
-    tools with the --version command line argument, and so I have to 
-    make a restriction : 
+    tools with the *--version* command line argument. 
 
-    YOU ARE NOT ALLOWED IN ANY CIRCUMSTANCE TO LABEL A VERSION OF 
-    PyKota DOWNLOADED FROM CVS AS BEING THE 'OFFICIAL' ONE.
+  * I ask you to not label or present a version of PyKota downloaded 
+    from CVS as being the 'OFFICIAL' one. 
 
-  * A PyKota version obtained from CVS, i.e. which version number looks 
-    like *x.xx-unofficial*, **IS FREELY REDISTRIBUTABLE AND MODIFIABLE, 
-    AT NO COST, UNDER THE TERMS OF THE GNU GENERAL PUBLIC LICENSE, BUT 
-    CAN'T BE LABELLED 'OFFICIAL'. THIS MEANS THAT YOU ARE NOT ALLOWED, 
-    UNDER ANY CIRCUMSTANCES, TO PUT THE 'OFFICIAL' WORD IN THE VERSION 
-    NUMBER IF IT IS NOT ALREADY PRESENT.** 
+  * I encourage you to buy an 'OFFICIAL' PyKota package. See below for 
+    the benefits of doing so. 
 
-  * Version number excepted, **THERE'S NO DIFFERENCE BETWEEN 
-    'OFFICIAL' and 'UNOFFICIAL' VERSIONS OF PyKota.** It should be clear 
-    that I'll answer to all questions, and try to help as much as I can, 
-    even if you don't want to buy an **'OFFICIAL'** version. But it 
-    should also be clear to you that the latest version you can find in 
-    CVS may be somewhat unstable or unfinished, since this software is a 
+  * A PyKota version obtained either from CVS (unofficial) or by 
+    purchasing an official package, **IS FREELY REDISTRIBUTABLE AND 
+    MODIFIABLE, AT NO COST, UNDER THE TERMS OF THE GNU GENERAL PUBLIC 
+    LICENSE.** 
+
+  * Version number excepted, **THERE'S NO SOURCE CODE DIFFERENCE 
+    BETWEEN 'OFFICIAL' AND 'UNOFFICIAL' VERSIONS OF PyKota.** However it 
+    should be clear to you that the latest version you can find in CVS 
+    may be somewhat unstable or unfinished, since this software is a 
     work in progress, and that it's up to you to download working 
     revisions from the CVS tree. That's why I suggest that you purchase 
-    an 'OFFICIAL' version, because it will be simpler for you. 
+    an **'OFFICIAL'** version, because it will be simpler for you (and 
+    better for me). Also the documentation included in the 
+    **'UNOFFICIAL'** version is only delivered in DocBook XML/SGML 
+    source form, and not in compiled forms like HTML or PDF. 
 
   * You can obtain an **'OFFICIAL'** version of PyKota in two forms :
@@ -58,6 +59,6 @@
         SGML, HTML and PDF formats, by email. 
 
-    * CDROM + Paper documentation (not yet available, documentation 
-      still under works) : 
+    * CDROM + Paper documentation *(not yet available, documentation 
+      still under works)* : 
 
       * You pay me any amount of money starting at **30$ (US Dollars)**
@@ -69,16 +70,16 @@
         will be asked to you, unless you require a specific delivery mode. 
 
-  * The purchase of an **'OFFICIAL'** 
-    version entitles you to : 
+  * The "purchase":/software/PyKota/Purchase of an **'OFFICIAL'** 
+    version also allows you to : 
 
-    * Redistribute the **'OFFICIAL'** version you purchased. But if you 
-      modify this version before redistribution then I ask you to also 
-      modify the version number present in the pykota/version.py file to 
-      label any package you would redistribute as **'UNOFFICIAL'**. 
-      Unmodified **'OFFICIAL'** packages can be redistributed freely under 
-      the **'OFFICIAL'** label. 
+    * Modify or redistribute the **'OFFICIAL'** version you purchased, 
+      under the terms of the GNU General Public License of the Free 
+      Software Foundation. I just ask you to remove the 'OFFICIAL' word 
+      from the version number if you redistribute a modified official 
+      version. 
 
     * Obtain free technical support for a year starting at your purchase 
-      date (bug fixes and new official versions) 
+      date : This includes bug fixes and new official versions, as well as 
+      priority email support. 
 
     * Obtain half of **your money back** in case you contribute source 
@@ -89,4 +90,7 @@
       patches on PyKota.* 
 
+    * By purchasing an official package, your karma will also be better.
+
 I sincerely hope that you will find this proposition as fair as I do 
 think it is. 
+