Index: pykota/trunk/docs/repykota.sgml
===================================================================
--- pykota/trunk/docs/repykota.sgml (revision 836)
+++ pykota/trunk/docs/repykota.sgml (revision 865)
@@ -2,6 +2,6 @@
 
 <chapter>
-  <title>Print Quota usage reports</title>
-  <subtitle><application>repykota</application></subtitle>
+  <title id="repykota">Create print quota usage reports with repykota</title>
+  <para>Last modified on $Date$</para>
   
   <para>
@@ -35,4 +35,7 @@
 
 $Log$
+Revision 1.3  2003/03/25 09:32:06  jalet
+Improved documentation.
+
 Revision 1.2  2003/03/08 22:22:40  jalet
 First bit of documentation
Index: pykota/trunk/docs/warnpykota.sgml
===================================================================
--- pykota/trunk/docs/warnpykota.sgml (revision 753)
+++ pykota/trunk/docs/warnpykota.sgml (revision 865)
@@ -2,5 +2,6 @@
 
 <chapter>
-  <title>TODO : Title here</title>
+  <title>Warn users above print quota with warnpykota</title>
+  <para>Last modified on $Date$</para>
   <para>
     TODO : blah
@@ -11,4 +12,7 @@
 
 $Log$
+Revision 1.2  2003/03/25 09:32:06  jalet
+Improved documentation.
+
 Revision 1.1  2003/02/08 00:03:35  jalet
 Documentation skeleton added
Index: pykota/trunk/docs/edpykota.sgml
===================================================================
--- pykota/trunk/docs/edpykota.sgml (revision 753)
+++ pykota/trunk/docs/edpykota.sgml (revision 865)
@@ -2,5 +2,7 @@
 
 <chapter>
-  <title>TODO : Title here</title>
+  <title id="edpykota">Setting print quotas with edpykota</title>
+  <para>Last modified on $Date$</para>
+  
   <para>
     TODO : blah
@@ -11,4 +13,7 @@
 
 $Log$
+Revision 1.2  2003/03/25 09:32:06  jalet
+Improved documentation.
+
 Revision 1.1  2003/02/08 00:03:35  jalet
 Documentation skeleton added
Index: pykota/trunk/docs/installation.sgml
===================================================================
--- pykota/trunk/docs/installation.sgml (revision 864)
+++ pykota/trunk/docs/installation.sgml (revision 865)
@@ -2,5 +2,5 @@
 
 <chapter>
-  <title>Installation</title>
+  <title id="installation">Installation</title>
   
   <para>Last modified on $Date$</para>
@@ -358,4 +358,7 @@
 
 $Log$
+Revision 1.11  2003/03/25 09:32:06  jalet
+Improved documentation.
+
 Revision 1.10  2003/03/23 17:59:56  jalet
 Clarify a point.
Index: pykota/trunk/docs/pykota.sgml
===================================================================
--- pykota/trunk/docs/pykota.sgml (revision 857)
+++ pykota/trunk/docs/pykota.sgml (revision 865)
@@ -80,4 +80,6 @@
   &INSTALLATION;
 
+  &FILTERPYKOTA;
+
   &EDPYKOTA;
     
@@ -86,6 +88,4 @@
   &WARNPYKOTA;
     
-  &FILTERPYKOTA;
-
   &GNUFDL;
 
@@ -95,4 +95,7 @@
 
 $Log$
+Revision 1.4  2003/03/25 09:32:06  jalet
+Improved documentation.
+
 Revision 1.3  2003/03/18 22:18:25  jalet
 The documentation will only be a sequence of chapters in a single part, not
Index: pykota/trunk/docs/filterpykota.sgml
===================================================================
--- pykota/trunk/docs/filterpykota.sgml (revision 753)
+++ pykota/trunk/docs/filterpykota.sgml (revision 865)
@@ -2,8 +2,49 @@
 
 <chapter>
-  <title>TODO : Title here</title>
+  <title id="filter">The pykota filter</title>
+  
+  <para>Last modified on $Date$</para>
+  
   <para>
-    TODO : blah
+    To account for pages or eventually ink usage, you must plug your accounting
+    system into <application>CUPS</application>. One way to do this without having
+    to modify <application>CUPS</application> itself, is by using a <firstterm>filter</firstterm>.
   </para>
+  
+  <para>
+    A filter is a computer program which takes data in one format as its input, and outputs the
+    same data but transformed into another format. <application>CUPS</application> already
+    contains many filters. For example there's one filter named <application>pstops</application> which accepts 
+    PostScript data as its input, and, as its name implies, outputs PostScript data too, but after having
+    eventually rearranged the pages to fit several pages on a single sheet of paper, or other manipulations
+    like that.
+  </para>
+  
+  <para>
+    The <application>pstops</application> filter described above is also in charge of doing basic page
+    accounting, but <application>PyKota</application> currently doesn't use this facility since it may
+    prove to be unreliable depending on the drivers used or if a paper jam occur for example.
+  </para>
+  
+  <para>
+    So to do its own accounting, <application>PyKota</application> has its own filter, named <application>pykota</application>,
+    which you have to plug into the different set of filters used by <application>CUPS</application>. The procedure to 
+    install the <application>pykota</application> filter is described in the 
+    <xref linkend="installation" endterm="installation"> chapter.
+  </para>
+  
+  <para>
+    Currently the <application>pykota</application> filter is used at the very last stage of the print mechanism,
+    just before the final data is sent to the printer, but it may eventually be used earlier with some
+    modifications to <application>CUPS</application>'s filtering configuration. This is not tested yet, but this
+    may be the solution to use <application>PyKota</application> with printers which really needs to have
+    a <literal>*cupsFilter</literal> line in their <acronym>PPD</acronym> file, i.e. non-postscript printers.
+  </para>
+  
+  <para>
+    The <application>pykota</application> filter really is the only thing which depends on <application>CUPS</application>,
+    so it is probable that a next version of <application>PyKota</application> will support other printing environments.
+  </para>
+  
 </chapter>
 
@@ -11,4 +52,7 @@
 
 $Log$
+Revision 1.2  2003/03/25 09:32:06  jalet
+Improved documentation.
+
 Revision 1.1  2003/02/08 00:03:35  jalet
 Documentation skeleton added