Index: pykota/trunk/po/en/pykota.po
===================================================================
--- pykota/trunk/po/en/pykota.po (revision 872)
+++ pykota/trunk/po/en/pykota.po (revision 873)
@@ -4,15 +4,26 @@
 #
 # (c) 2003 Jerome Alet <alet@librelogiciel.com>
-# You're welcome to redistribute this software under the
-# terms of the GNU General Public Licence version 2.0
-# or, at your option, any higher version.
-#
-# You can read the complete GNU GPL in the file COPYING
-# which should come along with this software, or visit
-# the Free Software Foundation's WEB site http://www.fsf.org
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 #
 # $Id$
 #
 # $Log$
+# Revision 1.12  2003/03/29 13:45:27  jalet
+# GPL paragraphs were incorrectly (from memory) copied into the sources.
+# Two README files were added.
+# Upgrade script for PostgreSQL pre 1.01 schema was added.
+#
 # Revision 1.11  2003/03/29 13:08:28  jalet
 # Configuration is now expected to be found in /etc/pykota.conf instead of
Index: pykota/trunk/po/fr/pykota.po
===================================================================
--- pykota/trunk/po/fr/pykota.po (revision 872)
+++ pykota/trunk/po/fr/pykota.po (revision 873)
@@ -4,15 +4,26 @@
 #
 # (c) 2003 Jerome Alet <alet@librelogiciel.com>
-# You're welcome to redistribute this software under the
-# terms of the GNU General Public Licence version 2.0
-# or, at your option, any higher version.
-#
-# You can read the complete GNU GPL in the file COPYING
-# which should come along with this software, or visit
-# the Free Software Foundation's WEB site http://www.fsf.org
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 #
 # $Id$
 #
 # $Log$
+# Revision 1.10  2003/03/29 13:45:27  jalet
+# GPL paragraphs were incorrectly (from memory) copied into the sources.
+# Two README files were added.
+# Upgrade script for PostgreSQL pre 1.01 schema was added.
+#
 # Revision 1.9  2003/03/29 13:08:28  jalet
 # Configuration is now expected to be found in /etc/pykota.conf instead of
Index: pykota/trunk/po/pykota.pot
===================================================================
--- pykota/trunk/po/pykota.pot (revision 872)
+++ pykota/trunk/po/pykota.pot (revision 873)
@@ -4,15 +4,26 @@
 #
 # (c) 2003 Jerome Alet <alet@librelogiciel.com>
-# You're welcome to redistribute this software under the
-# terms of the GNU General Public Licence version 2.0
-# or, at your option, any higher version.
-#
-# You can read the complete GNU GPL in the file COPYING
-# which should come along with this software, or visit
-# the Free Software Foundation's WEB site http://www.fsf.org
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 #
 # $Id$
 #
 # $Log$
+# Revision 1.12  2003/03/29 13:45:27  jalet
+# GPL paragraphs were incorrectly (from memory) copied into the sources.
+# Two README files were added.
+# Upgrade script for PostgreSQL pre 1.01 schema was added.
+#
 # Revision 1.11  2003/03/29 13:08:28  jalet
 # Configuration is now expected to be found in /etc/pykota.conf instead of
Index: pykota/trunk/po/README
===================================================================
--- pykota/trunk/po/README (revision 841)
+++ pykota/trunk/po/README (revision 873)
@@ -4,11 +4,17 @@
 
 (c) 2003 Jerome Alet <alet@librelogiciel.com>
-You're welcome to redistribute this software under the
-terms of the GNU General Public Licence version 2.0
-or, at your option, any higher version.
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
 
-You can read the complete GNU GPL in the file COPYING
-which should come along with this software, or visit
-the Free Software Foundation's WEB site http://www.fsf.org
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 
 ====================================================================